PHP Handbuch
Zurück |  | Weiter

# XMLReader->setParserProperty

(no version information, might be only in CVS)

XMLReader->setParserProperty -- Parser-Optionen setzen

## Beschreibung

class XMLReader {
bool setParserProperty ( int property, bool value )
}

Setzen von Optionen für den Parser. Die Optionen müssen definiert werden bevor xmlreader-open() oder xmlreader-xml() verwendet wird und bevor der erste xmlreader-read() Aufruf stattfindet.

## Parameter Liste

`property`

  Eine der Parser-Optionskonstanten.

`value`

  Wenn die Option auf `TRUE` gesetzt, wird sie aktiviert, sonst deaktiviert.

## Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

Zurück | Zum Anfang | Weiter
XMLReader->read | Nach oben | XMLReader->setRelaxNGSchema